Skip to main content

Re-index a custom table

PUT 

/meta/:tableName/reindex

Use to re-create the index and re-load all items from the custom table into the index. Only use if there are large discrepancies between custom table data and the index. If only a few records, update the records directly to trigger record based re-indexing.

How it works​

When re-indexing, the following logic will be used:

  1. If retainMapping in request body is true, existing index will be truncated and data reloaded
  2. If retainMapping in request body is false or not present and schema is defined on custom table, it will create mapping based on schema
  3. If none of the above, delete the index and automatically create it based on the first record read from the custom table

NOTE! This will delete and re-index all records in your custom table index. The index will be recreated with data from the custom table, but large tables (300k+ records) will take some time to complete

Request​

Responses​

Success